
TYPO3.Neos - Bug # 54296

Status: Closed Priority: Should have
Author: Mathias Bolt Lesniak Category:
Created: 2013-12-09 Assigned To: Bastian Waidelich
Updated: 2013-12-18 Due date:
Subject: Login page redirects to /neos/neos/login - adding base tag helps
Description

Hi!

After upgrading a Neos install from beta1 to beta2 I had an issue where the Neos login would redirect me to
domain.local/neos/neos/login. This made it impossible to log in. The issue was fixed by adding <f:base /> to the Login Page Template
at TYPO3.Neos/Resources/Private/Templates/Login/Index.html.

In my changed version the "head" section looks like this:

<f:section name="head">
    <title>TYPO3 Neos Login</title>
    <f:base />
    <link rel="stylesheet" href="{f:uri.resource(path: 'Styles/Login.css')}" />
    <script src="{f:uri.resource(path: 'Library/jquery/jquery-1.10.2.js')}"></script>
    <script src="{f:uri.resource(path: 'Library/jquery-ui/js/jquery-ui-1.10.3.custom.js')}"></script>
</f:section>

Patch attached.

- Mathias

History
#1 - 2013-12-09 19:51 - Bastian Waidelich
- Status changed from New to Needs Feedback
- Assigned To set to Bastian Waidelich

Please make sure to update the TYPO3.Flow package as well (see #53827)

#2 - 2013-12-10 11:00 - Mathias Bolt Lesniak

Bastian Waidelich wrote:

Please make sure to update the TYPO3.Flow package as well (see #53827)

Hi Bastian!

Thanks for pointing me in the right direction!

Isn't Flow updates as a dependency when running composer require "typo3/neos:1.0.0-beta2" or is the change too recent?
Here's my currently installed Flow version:

TYPO3.Flow mathias$ git describe --tags
FLOW3-1.1.0-beta1-1024-g52e2d76

Would you recommend that I simply pull the current master?

Best wishes

Mathias

#3 - 2013-12-11 00:19 - Bastian Waidelich

Hi Mathias,
the dependencies were not correct in beta2. Now I would suggest to upgrade to 1.0.0 final and it should fetch all required dependencies in the right
version: http://neos.typo3.org

Thanks for testing!

#4 - 2013-12-18 13:55 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

I assume this one can be closed. Comment or re-open if you have further issues
